O Auth Client Delete
Delete an OAuth client created by the authenticated account. This prevents new OAuth flows for the client and removes associated pending OAuth records and refresh tokens, preventing existing grants from being renewed. Existing JWT access tokens remain valid until expiry.
Delete an OAuth client created by the authenticated account.
This prevents new OAuth flows for the client and removes associated pending OAuth records and refresh tokens, preventing existing grants from being renewed. Existing JWT access tokens remain valid until expiry.
/auth/oauth/clients/{oauth_client_id}Authorization
browser In: cookie
Path Parameters
OAuth client ID.
xidResponse Body
application/json
application/json
curl -X DELETE "https://loading/api/auth/oauth/clients/cc5lnd2s1s4652adtu50"{
"error": "string",
"error_description": "string"
}{
"error": "string",
"message": "string",
"suggested": "string",
"metadata": {}
}O Auth Client Create POST
Create an OAuth client owned by the authenticated account. Member-created clients are third-party explicit-scope clients. The requested allowed scopes must be a subset of the authenticated account's current permissions.
O Auth Client Get GET
Read an OAuth client created by the authenticated account. Member-created clients are third-party application identities. They may be public or confidential but are never first-party inherited-permission clients.